//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 14 Oct 2002
//
//-----------------------------------------------------------

package com.softbolts.connectors.TBDB;

//import com.softbolts.lib.*;
import java.io.*;
//import java.net.*;
//import java.util.*;

//-----------------------------------------------------------
public class TColumn implements Serializable
{
	String		table_cat;
	String		table_schem;
	String		table_name;
	String		column_name;
	int		data_type;
	String		type_name;
	int		column_size;
	int		decimal_digits;
	int		num_prec_radix;
	int		nullable;
	String		remarks;
	String		column_def;
	int		sql_data_type;		// unused
	int		sql_datetime_sub;	// unused
	int		char_octed_length;
	int		ordinary_position;
	String		is_nullable;		// NO mean NULL not allowed
	String		scope_catalogue;
	String		scope_schema;
	String		scope_table;
	short		source_data_type;
}


